<package name="org.scilab.modules.renderer.subwinDrawing">
  <object name="GridDrawerGL">
    <method name="display" returnType="void">
    </method>
    <method name="initializeDrawing" returnType="void">
      <param type="int" name="figureIndex" />
    </method>
    <method name="endDrawing" returnType="void">
    </method>
    <method name="show" returnType="void">
      <param type="int" name="figureIndex" />
    </method>
    <method name="destroy" returnType="void">
      <param type="int" name="figureIndex" />
    </method>
    <method name="setGridParameters" returnType="void">
      <param type="int" name="gridColor" />
      <param type="float" name="gridThickness" />
      <param type="boolean" name="drawFront" />
    </method>
    <method name="drawGrid" returnType="void">
      <param type="double[]" name="firstAxisStart" />
      <param type="double[]" name="firstAxisEnd" />
      <param type="double[]" name="secondAxisStart" />
      <param type="double[]" name="secondAxisEnd" />
      <param type="double[]" name="thirdAxisStart" />
      <param type="double[]" name="thirdAxisEnd" />
      <param type="double[]" name="relativeTicksPositions" />
    </method>
    <method name="showGrid" returnType="void">
    </method>
  </object>
</package>

